<template>
  <div>
    <v-dialog v-model="mostrarAdvertencia1" persistent max-width="800">
      <v-card>
        <div class="contSecc">
          <div class="titSec font-size-13">Advertencia</div>
          <div class="gris">
            <div class="titCol titDialog">
              ¿Estas seguro de crear el proyecto?<br />Una vez creado no podrá editarlo
              desde aquí
            </div>
          </div>
        </div>
        <div class="btnCenter">
          <button class="btn btnG" @click="cancelarAlerta">Cancelar</button>
          <button class="btn" @click="guardarProyeto">Aceptar</button>
        </div>
      </v-card>
    </v-dialog>

    <v-dialog v-model="mostrarAdvertencia2" persistent max-width="800">
      <v-card>
        <div class="contSecc">
          <div class="titSec font-size-13">Advertencia</div>
          <div class="gris">
            <div class="titCol titDialog">Proyecto creado</div>
          </div>
        </div>
        <div class="btnCenter">
          <button class="btn" @click="cancelarAlerta2">Aceptar</button>
        </div>
      </v-card>
    </v-dialog>

    <v-dialog v-model="mostrarAdvertencia3" persistent max-width="800">
      <v-card>
        <div class="contSecc">
          <div class="titSec font-size-13">Advertencia</div>
          <div class="gris">
            <div class="titCol titDialog">
              El documento ya fue creado, imposible subir mas informacion al documento de
              esta sucursal
            </div>
          </div>
        </div>
        <div class="btnCenter">
          <button class="btn" @click="cancelarAlerta">Aceptar</button>
        </div>
      </v-card>
    </v-dialog>

    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Infraestructura</strong>
    </div>
    <div class="titSec">
      <strong>Alta de documento</strong>
    </div>
    <br />
    <!--
    <template>
      <div>
        <div class="blanco contSecc">
          <v-card>
            <div class="gris">
              <v-row>
                <v-col :cols="12" :sm="12" :md="12" :lg="12" :xl="12">
                  <v-row>
                    <v-col :cols="12" :sm="12" :md="4" :lg="4" :xl="4">
                      <v-card>
                        <div class="gris">
                          <div class="contSecc">
                            <div class="titSecCard">
                              Selección datos sucursal
                            </div>
                          </div>
                          <ListaNegocioComponente
                            v-model="datos"
                            :callback="callbackNegocioSelccionado"
                          />

                          <ListaCecoComponente
                            v-model="datos"
                            :callback="callbackCecoSeleccionado"
                            :borrarDatos="borradoPorNivel"
                          />
                       

                          <ListaFormato
                            v-model="datos"
                            :callback="callbackFormatoSeleccionado"
                            ref="listaFormato"
                          />
                        </div>
                      </v-card>
                    </v-col>
                    <v-col :cols="12" :sm="12" :md="4" :lg="4" :xl="4">
                      <v-card>
                        <div class="gris">
                          <CardFichaSucursal
                            v-model="datos"
                            :callback="callbackFichaSucursal"
                            :borrarDatos="borradoPorNivel"
                            ref="cardFichaSucursal"
                          />
                        </div>
                      </v-card>
                    </v-col>
                    <v-col :cols="12" :sm="12" :md="4" :lg="4" :xl="4">
                      <v-card>
                        <div class="gris">
                          <div class="contSecc">
                            <div class="titSecCard">
                              Selección Proyecto Documento
                            </div>
                          </div>
                          <ListaProyecto
                            v-model="datos"
                            :callback="callbackListaProyecto"
                            ref="listaProyecto"
                          />
                          <ListaDocumento
                            v-model="datos"
                            :callback="callbackListaDocumento"
                            ref="listaDocumento"
                          />
                        </div>
                      </v-card>
                    </v-col>
                  </v-row>
                </v-col>
                <v-col :cols="12" :sm="12" :md="12" :lg="12" :xl="12">
                  <v-row>
                    <v-col :cols="12" :sm="12" :md="12" :lg="12" :xl="12">
                      <div v-show="banderaUploadVisible">
                        <div class="subtitle-2">
                          <strong>Modelo de negocio</strong>
                          <span class="tRojo">*</span>
                        </div>
                        <UploadArvhivos
                          ref="uploadArvhivos"
                          v-model="datos.dataFolioArchivosModelo"
                          :type="1"
                          :folio="datos.folio"
                          :datosGenerales="datos"
                          :idUsuario="JSON.stringify(this.user.empleado)"
                          @archivoCargado="archivoCargado"
                          @archivoBorrado="archivoBorrado"
                        />
                      </div>
                    </v-col>
                  </v-row>
                </v-col>
              </v-row>
              <Button
                class="btn"
                v-if="datos.dataFolioArchivosModelo.value.length > 0"
                @click="crearProyecto"
                >Crear proyecto</Button
              >
            </div>
          </v-card>
        </div>
      </div>
    </template>
    -->
    <v-card>
      <v-row>
        <v-col :cols="12" :sm="12" :md="1" :lg="1" :xl="1"> </v-col>
        <v-col :cols="12" :sm="12" :md="10" :lg="10" :xl="10">
          <BusquedaSucursal
            v-model="datos"
            :callbackNegocioSelccionado="callbackNegocioSelccionado"
            :callbackCecoSeleccionado="callbackCecoSeleccionado"
            :callbackFormatoSeleccionado="callbackFormatoSeleccionado"
            :borradoPorNivel="borradoPorNivel"
            ref="busquedaSucursales"
          />

          <ProyectoDocumento
            v-if="paso > 1"
            v-model="datos"
            :callbackListaProyecto="callbackListaProyecto"
            :callbackListaDocumento="callbackListaDocumento"
            ref="proyectoDocumento"
          />
          <DatosSucursalBAZ
            v-if="paso > 2 && negocio == 2"
            v-model="datos"
            :lectura="lectura"
            :guardarEditar="guardarEditar"
            :callbackInsertaDatosSucursal="callbackInsertaDatosSucursal"
            ref="datosSucursalBAZ"
          />
          <DatosSucursalCYC
            v-if="paso > 2 && negocio == 3"
            v-model="datos"
            :lectura="lectura"
            :guardarEditar="guardarEditar"
            :callbackInsertaDatosSucursal="callbackInsertaDatosSucursal"
            ref="datosSucursalCYC"
          />
          <DatosSucursalEKT
            v-if="paso > 2 && negocio == 1"
            v-model="datos"
            :lectura="lectura"
            :guardarEditar="guardarEditar"
            :callbackInsertaDatosSucursal="callbackInsertaDatosSucursal"
            ref="datosSucursalEKT"
          />
          <DatosSucursalITK
            v-if="paso > 2 && negocio == 5"
            v-model="datos"
            :lectura="lectura"
            :guardarEditar="guardarEditar"
            :callbackInsertaDatosSucursal="callbackInsertaDatosSucursal"
            ref="datosSucursalITK"
          />
          <DatosSucursalPP
            v-if="paso > 2 && negocio == 4"
            v-model="datos"
            :lectura="lectura"
            :guardarEditar="guardarEditar"
            :callbackInsertaDatosSucursal="callbackInsertaDatosSucursal"
            ref="datosSucursalPP"
          />

          <GestorCargaArchivos
            v-if="paso > 3"
            v-model="datos"
            :user="this.user"
            :arlertCargando="arlertCargando"
            :archivoCargado="archivoCargado"
            :archivoBorrado="archivoBorrado"
            ref="gestorCargaArchivos"
          />
          <br />
          <Button
            class="btn"
            v-if="
              (datos.dataFolioArchivosModelo1.value.length > 0 ||
                datos.dataFolioArchivosModelo2.value.length > 0) &&
              banderaMostrarBoton &&
              paso > 3
            "
            @click="crearProyecto"
            >Crear proyecto</Button
          >

          <br />
        </v-col>
        <v-col :cols="12" :sm="12" :md="1" :lg="1" :xl="1"> </v-col>
      </v-row>
    </v-card>
  </div>
</template>
<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
const serviceLocalStorage = store.state.serviceLocalStorage;
/*
import CardFichaSucursal from "./componentes/CardFichaSucursal.vue";
import ListaCecoComponente from "./componentes/ListaCecoComponente.vue";
import ListaDocumento from "./componentes/ListaDocumento.vue";
import ListaFormato from "./componentes/ListaFormato.vue";
import ListaNegocioComponente from "./componentes/ListaNegocioComponente.vue";
import ListaProyecto from "./componentes/ListaProyecto.vue";
import UploadArvhivos from "./componentes/UploadArchivos.vue";
*/
import BusquedaSucursal from "./componentes2/BusquedaSucursal.vue";
import ProyectoDocumento from "./componentes2/ProyectoDocumento.vue";
import GestorCargaArchivos from "./componentes2/GestorCargaArchivos.vue";

import DatosSucursalBAZ from "./componentes2/DatosSucursalBAZ.vue";
import DatosSucursalCYC from "./componentes2/DatosSucursalCYC.vue";
import DatosSucursalEKT from "./componentes2/DatosSucursalEKT.vue";
import DatosSucursalITK from "./componentes2/DatosSucursalITK.vue";
import DatosSucursalPP from "./componentes2/DatosSucursalPP.vue";

export default {
  name: "infraestructura_layouts_documento_nuevo",

  components: {
    /*
    ListaNegocioComponente,
    ListaCecoComponente,
    ListaFormato,
    CardFichaSucursal,
    ListaProyecto,
    ListaDocumento,
    UploadArvhivos,
    */
    BusquedaSucursal,
    ProyectoDocumento,
    GestorCargaArchivos,
    DatosSucursalBAZ,
    DatosSucursalCYC,
    DatosSucursalEKT,
    DatosSucursalITK,
    DatosSucursalPP,
  },

  data() {
    return {
      banderaUploadVisible: false,
      user: null,
      guardar: false,
      mostrarAdvertencia1: false,
      mostrarAdvertencia2: false,
      mostrarAdvertencia3: false,
      lectura: false,
      banderaMostrarBoton: true,
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Administracion Layouts",
          disabled: false,
          exact: true,
          to: {
            name: "infraestructura_layouts_administrador_layouts",
          },
        },
        {
          text: "Alta documento",
          disabled: true,
        },
      ],
      paso: 1,
      negocio: 1,
      datos: {
        dataUnidadNegocio: {
          value: "",
        },
        dataCeco: {
          ceco: "",
          value: "",
        },
        dataFormato: {
          value: null,
        },
        dataFichaSucursal: {
          value: {},
        },
        dataProyecto: {
          value: {},
        },
        folio: {
          idFolio: 0,
        },
        dataDocumento: {
          value: {},
        },
        dataFolioArchivosModelo1: {
          value: [],
        },
        dataFolioArchivosModelo2: {
          value: [],
        },
      },
    };
  },

  created() {
    this.user = serviceLocalStorage.userToken();
  },
  mounted() {},

  computed: {},
  methods: {
    crearProyecto() {
      this.mostrarAdvertencia1 = true;
    },
    callbackNegocioSelccionado() {
      console.log("callbackNegocioSelccionado");
      this.borradoPorNivel(6);
    },
    callbackCecoSeleccionado() {
      console.log("callbackCecoSeleccionado");
      this.borradoPorNivel(5);
      //this.$refs.listaFormato.getFormatos();
      this.$refs.busquedaSucursales.getFormatos();
    },
    callbackFormatoSeleccionado() {
      console.log("callbackFormatoSeleccionado");
      this.borradoPorNivel(4);
      //this.$refs.cardFichaSucursal.getFicha();
      if (this.paso > 1) {
        this.$refs.proyectoDocumento.getLisaProyecto();
      } else {
        this.paso = 2;
      }
    },
    callbackFichaSucursal() {
      console.log("callbackFichaSucursal");
      this.borradoPorNivel(3);
      //this.$refs.listaProyecto.getLisaProyecto();
    },
    callbackListaProyecto() {
      console.log("callbackListaProyecto");
      this.borradoPorNivel(2);
      this.cargaFolio();
    },
    callbackListaDocumento() {
      console.log("callbackListaDocumento");
      this.borradoPorNivel(1);

      if (this.datos.folio.idFolio != 0) {
        this.activarBotonEditar();
        this.banderaUploadVisible = true;
        this.validarStatusDocumentoArchivo();
        //this.muestraDatosSucursal();

        //this.$refs.uploadArvhivos.precargarArchivos();
      }
    },

    obtieneReferenciaDatosSucursal() {
      var referencia = null;
      if (this.$refs.datosSucursalBAZ) {
        referencia = this.$refs.datosSucursalBAZ;
      }
      if (this.$refs.datosSucursalEKT) {
        referencia = this.$refs.datosSucursalEKT;
      }
      if (this.$refs.datosSucursalITK) {
        referencia = this.$refs.datosSucursalITK;
      }
      if (this.$refs.datosSucursalPP) {
        referencia = this.$refs.datosSucursalPP;
      }
      if (this.$refs.datosSucursalCYC) {
        referencia = this.$refs.datosSucursalCYC;
      }
      return referencia;
    },
    activarBotonEditar() {
      let referencia = this.obtieneReferenciaDatosSucursal();
      if (referencia) {
        referencia.editarCampos();
      }
    },
    muestraDatosSucursal() {
      if (this.datos.dataUnidadNegocio.value.idNegocio) {
        this.paso = 3;
        this.negocio = this.datos.dataUnidadNegocio.value.idNegocio;
      }
    },
    archivoCargado(idArchivoCargado) {
      console.log("archivoCargado");
      console.log("this.datos.folio.idFolio=>" + this.datos.folio.idFolio);
      console.log(
        "this.datos.dataDocumento.value.idDocumento=>" +
          this.datos.dataDocumento.value.idDocumento
      );
      console.log("idArchivoCargado=>" + idArchivoCargado);
      axios
        .post("/documento-sucursal/documentoArchivo/v1/", {
          folio: this.datos.folio.idFolio,
          idDocumento: this.datos.dataDocumento.value.idDocumento,
          idArchivo: idArchivoCargado,
        })
        .then((response) => {
          let data = response.data;
          if (data) {
            this.$refs.gestorCargaArchivos.anadirCantidad(false);
            //
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
    archivoBorrado(idArchivo, idFolio) {
      console.log("archivoBorrado");
      axios
        .delete("/documento-sucursal/documentoArchivo/v1/", {
          data: {
            folio: idFolio,
            idDocumento: this.datos.dataDocumento.value.idDocumento,
            idArchivo: idArchivo,
          },
        })
        .then((response) => {
          let data = response.data;
          if (data) {
            //borrado con exito
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },

    guardarEditar(guardar) {
      if (guardar) {
        this.paso = 4;
      } else {
        this.paso = 3;
      }
    },

    cargaFolio() {
      this.banderaUploadVisible = false;
      this.datos.folio.idFolio = 0;
      var ceco = this.datos.dataCeco.ceco;
      if (typeof ceco === "number") {
        ceco = JSON.stringify(this.datos.dataCeco.ceco);
      }
      axios
        .post("/documento-sucursal/ceco-proyecto-folio/v1/", {
          idProyecto: JSON.stringify(this.datos.dataProyecto.value.idProyecto),
          centroCostos: ceco,
          folio: "",
          idFormato: JSON.stringify(this.datos.dataFormato.value.idFormato),
        })
        .then((response) => {
          let data = response.data;
          if (data) {
            this.datos.folio.idFolio = data.resultado.proyectosCentroCosto[0].folio;
            this.validaFolio();
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
            this.validaFolio();
          }
        });
    },
    validaFolio() {
      console.log("validaFolio");
      if (this.datos.folio.idFolio == 0) {
        axios
          .post("/documento-sucursal/folio/v1/", {
            numeroUsuario: JSON.stringify(this.user.empleado),
            estatus: 0,
            eliminadoLogico: 0,
          })
          .then((response) => {
            let data = response.data;
            if (data) {
              this.generaRelacionProyecto(data.resultado.folio);
            }
          })
          .catch((error) => {
            if (error.response) {
              console.log(error.response.data);
            }
          });
      } else {
        this.validaFolioStatus();
      }
    },
    validaFolioStatus() {
      let idFolio = this.datos.folio.idFolio;
      axios("/documento-sucursal/folio/v1/" + idFolio)
        .then((response) => {
          let data = response.data;
          if (data) {
            console.log(data.resultado.estatus);
            let status = data.resultado.estatus;
            //if (status == 0) {
            //this.$refs.listaDocumento.getDocumentos();

            if (this.paso == 2) {
              this.$refs.proyectoDocumento.getDocumentos();
            }
            //} else {
            //  this.mostrarAdvertencia3 = true;
            //}
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
    generaRelacionProyecto(idFolio) {
      var ceco = this.datos.dataCeco.ceco;
      if (typeof ceco === "number") {
        ceco = JSON.stringify(this.datos.dataCeco.ceco);
      }
      axios
        .post("/documento-sucursal/ceco-proyecto-folio/v1/inserta/", {
          idProyecto: this.datos.dataProyecto.value.idProyecto,
          centroCostos: ceco,
          folio: idFolio,
          idFormato: this.datos.dataFormato.value.idFormato,
        })
        .then((response) => {
          let data = response.data;
          if (data) {
            this.datos.folio.idFolio = idFolio;
            //this.$refs.listaDocumento.getDocumentos();
            if (this.paso == 2) {
              this.$refs.proyectoDocumento.getDocumentos();
            }
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
    borradoPorNivel(nivel) {
      switch (nivel) {
        case 1: // se cambia documento
          this.datos.dataFolioArchivosModelo1.value = [];
          this.datos.dataFolioArchivosModelo2.value = [];

          break;
        case 2: //se cambia proyecto
          this.datos.dataFolioArchivosModelo1.value = [];
          this.datos.dataFolioArchivosModelo2.value = [];
          this.datos.dataDocumento.value = {};
          this.banderaUploadVisible = false;
          if (this.paso > 2) {
            this.paso = 2;
          }
          if (this.paso == 2) {
            this.$refs.proyectoDocumento.borrarListadoDocumentos();
          }
          break;
        case 4: // se cambia formato
          this.datos.dataFolioArchivosModelo1.value = [];
          this.datos.dataFolioArchivosModelo2.value = [];
          this.datos.dataDocumento.value = {};
          this.datos.dataProyecto.value = {};
          this.datos.dataFichaSucursal = { value: {} };
          this.datos.folio.idFolio = 0;
          this.banderaUploadVisible = false;
          //this.$refs.listaProyecto.borrarListadoProyecto();
          //this.$refs.listaDocumento.borrarListadoDocumentos();
          //this.$refs.cardFichaSucursal.clearInputText();
          if (this.paso > 2) {
            this.paso = 2;
          }
          if (this.paso == 2) {
            this.$refs.proyectoDocumento.borrarListadoDocumentos();
            this.$refs.proyectoDocumento.borrarListadoProyecto();
          }
          break;

        case 5: // se cambia ceco
          this.datos.dataFolioArchivosModelo1.value = [];
          this.datos.dataFolioArchivosModelo2.value = [];
          this.datos.dataDocumento.value = {};
          this.datos.dataProyecto.value = {};
          this.datos.dataFichaSucursal = { value: {} };
          this.datos.dataFormato.value = null;
          this.datos.folio.idFolio = 0;
          this.banderaUploadVisible = false;
          //this.$refs.listaProyecto.borrarListadoProyecto();
          //this.$refs.listaDocumento.borrarListadoDocumentos();
          //this.$refs.cardFichaSucursal.clearInputText();
          //this.$refs.listaFormato.borrarListaFormato();

          this.$refs.busquedaSucursales.borrarListaFormato();
          if (this.paso > 2) {
            this.paso = 2;
          }
          if (this.paso == 2) {
            this.$refs.proyectoDocumento.borrarListadoDocumentos();
            this.$refs.proyectoDocumento.borrarListadoProyecto();
            this.paso = 1;
          }
          break;

        case 6: // se cambia negocio
          this.datos.dataFolioArchivosModelo1.value = [];
          this.datos.dataFolioArchivosModelo2.value = [];
          this.datos.dataDocumento.value = {};
          this.datos.dataProyecto.value = {};
          this.datos.dataFichaSucursal = { value: {} };
          this.datos.dataFormato.value = null;
          this.datos.dataCeco.value = {};
          this.datos.dataCeco.ceco = 0;
          this.datos.folio.idFolio = 0;
          this.banderaUploadVisible = false;
          //this.$refs.listaProyecto.borrarListadoProyecto();
          //this.$refs.listaDocumento.borrarListadoDocumentos();
          //this.$refs.cardFichaSucursal.clearInputText();
          //this.$refs.listaFormato.borrarListaFormato();

          this.$refs.busquedaSucursales.borrarListaFormato();
          if (this.paso > 2) {
            this.paso = 2;
          }
          if (this.paso == 2) {
            this.$refs.proyectoDocumento.borrarListadoDocumentos();
            this.$refs.proyectoDocumento.borrarListadoProyecto();
            this.paso = 1;
          }
          break;

        case 7: // se crea proyecto
          this.datos.dataUnidadNegocio.value = "";
          this.datos.dataFolioArchivosModelo1.value = [];
          this.datos.dataFolioArchivosModelo2.value = [];
          this.datos.dataDocumento.value = {};
          this.datos.dataProyecto.value = {};
          this.datos.dataFichaSucursal = { value: {} };
          this.datos.dataFormato.value = null;
          this.datos.dataCeco.value = {};
          this.datos.dataCeco.ceco = 0;
          this.datos.folio.idFolio = 0;
          this.banderaUploadVisible = false;
          //this.$refs.listaProyecto.borrarListadoProyecto();
          //this.$refs.listaDocumento.borrarListadoDocumentos();
          //this.$refs.cardFichaSucursal.clearInputText();
          //this.$refs.listaFormato.borrarListaFormato();

          this.$refs.busquedaSucursales.borrarListaFormato();
          if (this.paso > 2) {
            this.paso = 2;
          }
          if (this.paso == 2) {
            this.$refs.proyectoDocumento.borrarListadoDocumentos();
            this.$refs.proyectoDocumento.borrarListadoProyecto();
            this.paso = 1;
          }

          break;
      }
    },

    cancelarAlerta() {
      this.mostrarAdvertencia1 = false;
      this.mostrarAdvertencia3 = false;
    },

    cancelarAlerta2() {
      this.mostrarAdvertencia2 = false;
      this.borradoPorNivel(7);
      this.paso = 1;
    },

    guardarProyeto() {
      this.mostrarAdvertencia1 = false;
      let idFolio = this.datos.folio.idFolio;
      axios
        .put("/documento-sucursal/folio/v1/" + idFolio, {
          numeroUsuario: JSON.stringify(this.user.empleado),
          estatus: 1,
          eliminadoLogico: 0,
        })
        .then((response) => {
          let data = response.data;
          if (data) {
            //console.log("Se creo proyecto");
            //this.mostrarAdvertencia2 = true;
            this.subedatosSucursales();
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
    subedatosSucursales() {
      let referencia = this.obtieneReferenciaDatosSucursal();
      if (referencia) {
        referencia.insertaDatos();
      }
    },
    callbackInsertaDatosSucursal() {
      this.actualizarStatusDocumentoAchivo();
    },
    actualizarStatusDocumentoAchivo() {
      axios
        .put("/documento-sucursal/ceco-proyecto-folio/v1/actualiza/", {
          idProyecto: this.datos.dataProyecto.value.idProyecto,
          centroCostos: "" + this.datos.dataCeco.ceco,
          folio: this.datos.folio.idFolio,
          idFormato: this.datos.dataFormato.value.idFormato,
          idDocumento: this.datos.dataDocumento.value.idDocumento,
          idEstatus: 1,
        })
        .then((response) => {
          let data = response.data;
          if (data) {
            console.log(data.resultado);
            this.mostrarAdvertencia2 = true;
            //this.muestraDatosSucursal();
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
    validarStatusDocumentoArchivo() {
      //frq-documento-sucursal-dato-zona-ms/api-local/documento-sucursal/dato-zona/v1/validaDatos/
      let body = {
        idCeco: JSON.parse(this.datos.dataCeco.ceco),
        idDocumento: this.datos.dataDocumento.value.idDocumento,
        idFormato: this.datos.dataFormato.value.idFormato,
        idProyecto: this.datos.dataProyecto.value.idProyecto,
      };
      axios
        .post("/documento-sucursal/dato-zona/v1/validaDatos/", body)
        .then((response) => {
          let data = response.data;
          if (data && data.resultado && data.resultado) {
            console.log(data.resultado[0].idEstatusEdicion);
            if (data.resultado[0].idEstatusEdicion == 0) {
              this.muestraDatosSucursal();
            } else {
              this.mostrarAdvertencia3 = true;
              this.paso = 2;
            }
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },

    arlertCargando(alerta) {
      if (alerta) {
        this.banderaMostrarBoton = false;
        console.log("Empezo carga");
      } else {
        this.banderaMostrarBoton = true;
        console.log("Termino carga");
      }
    },
  },
};
</script>
